export default {
    createTreeNode(level, total, rootId){
        let random = Math.floor(Math.random(1) * (total - level));
        let list = [], id = rootId
        for(let i = 0 ; i < random ; i ++){
            list.push({
                id: id,
                content: id == rootId ?  id + '' : rootId + '-' + (id - rootId) ,
                parentId: id == rootId ?  null : rootId
            });
            id += 1;
        };
        //剩余的一半 随机作为某一个节点的字节点
        let remain = Math.floor((total - random) / 2);
        for(let i = 0 ; i < remain ; i ++){
            list.push({
                id: id,
                content: list[list.length - 1].content + '-' + 1,
                parentId: id - 1
            });
            
            id += 1;
        }
        //另一半作为某个节点的字节点
        remain = total- random - remain;
        for(let i = 0 ; i < remain ; i ++){
            list.push({
                id: id,
                content: list[2].content + '-' + (i + 1),
                parentId: list[2].id
            });
            id += 1
        }
        return list;
    }
}
